Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.minecraft.world.gen.structure
Class ComponentStrongholdStairs

    java.lang.Object
      net.minecraft.world.gen.structure.StructureComponent
          net.minecraft.world.gen.structure.ComponentStrongholdStairs

Direct Known Subclasses:
  ComponentStrongholdStairs2

    public class ComponentStrongholdStairs

extends StructureComponent

Constructor Summary
`ComponentStrongholdStairs(int par1, Random par2Random, int par3, int par4)`
`ComponentStrongholdStairs(int par1, Random par2Random, StructureBoundingBox par3StructureBoundingBox, int par4)`

Method Summary
`boolean` | `addComponentParts(World par1World, Random par2Random, StructureBoundingBox par3StructureBoundingBox)` second Part of Structure generating, this for example places Spiderwebs, Mob Spawners, it closes Mineshafts at the end, it adds Fences...
`void` | `buildComponent(StructureComponent par1StructureComponent, List par2List, Random par3Random)` Initiates construction of the Structure Component picked, at the current Location of StructGen
`static ComponentStrongholdStairs` | `getStrongholdStairsComponent(List par0List, Random par1Random, int par2, int par3, int par4, int par5, int par6)` performs some checks, then gives out a fresh Stairs component

Methods inherited from class net.minecraft.world.gen.structure.StructureComponent
`findIntersecting, getBoundingBox, getCenter, getComponentType`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ComponentStrongholdStairs

    public ComponentStrongholdStairs(int par1,
                                     Random par2Random,
                                     int par3,
                                     int par4)

### ComponentStrongholdStairs

    public ComponentStrongholdStairs(int par1,
                                     Random par2Random,
                                     StructureBoundingBox par3StructureBoundingBox,
                                     int par4)

Method Detail

### buildComponent

    public void buildComponent(StructureComponent par1StructureComponent,
                               List par2List,
                               Random par3Random)

  Initiates construction of the Structure Component picked, at the current Location of StructGen

  Overrides:
    `buildComponent` in class `StructureComponent`

### getStrongholdStairsComponent

    public static ComponentStrongholdStairs getStrongholdStairsComponent(List par0List,
                                                                         Random par1Random,
                                                                         int par2,
                                                                         int par3,
                                                                         int par4,
                                                                         int par5,
                                                                         int par6)

  performs some checks, then gives out a fresh Stairs component

### addComponentParts

    public boolean addComponentParts(World par1World,
                                     Random par2Random,
                                     StructureBoundingBox par3StructureBoundingBox)

  second Part of Structure generating, this for example places Spiderwebs, Mob Spawners, it closes Mineshafts at the end, it adds Fences...

  Specified by:
    `addComponentParts` in class `StructureComponent`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD